-- Set global variable FA to true if we are playing Forged Alliance
FA = string.sub(GetVersion(),1,3) == '1.5'

if FA then
	utils_name = 'Mod Support FA'
else
	utils_name = 'Mod Support SC'
end

-- Store path
utils_path = '/mods/'..utils_name

-- Load mod_info file for other details
utils_info = import(utils_path..'/mod_info.lua')

-- Functions to load mod scripts
function utilsscript( path )
	return doscript(utils_path..'/'..path)
end

function utilsimport( path )
	return import(utils_path..'/'..path)
end

-- Load globals
utilsscript('code/globals.lua')